Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707250 - x11-plugins/wmbiff-0.4.35 : fails to build with -fno-common or gcc-10
Summary: x11-plugins/wmbiff-0.4.35 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 18:13 UTC by Toralf Förster
Modified: 2020-03-08 11:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.38 KB, text/plain)
2020-01-29 18:13 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,236.56 KB, text/plain)
2020-01-29 18:13 UTC, Toralf Förster
Details
environment (environment,66.90 KB, text/plain)
2020-01-29 18:13 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.66 KB, application/x-bzip)
2020-01-29 18:13 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.50 KB, application/x-bzip)
2020-01-29 18:13 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.21 KB, application/x-bzip)
2020-01-29 18:13 UTC, Toralf Förster
Details
x11-plugins:wmbiff-0.4.35:20200129-142014.log (x11-plugins:wmbiff-0.4.35:20200129-142014.log,11.77 KB, text/plain)
2020-01-29 18:14 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 18:13:39 UTC
/usr/include/gnutls/compat.h:225:1: note: declared here
  225 | gnutls_compression_get(gnutls_session_t session) _GNUTLS_GCC_ATTR_DEPRECATED;
      | ^~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -D_GNU_SOURCE -W -Wall -Wshadow -Wpointer-arith -Wwrite-strings    -Wl,-O1 -Wl,--as-needed -o wmbiff wmbiff.o socket.o Pop3Client.o mboxClient.o maildirClient.o Imap4Client.o tlsComm.o ShellClient.o passwordMgr.o charutil.o regulo.o MessageList.o -L../wmgeneral -lwmgeneral -lgcrypt -lgpg-error gnutls-common.o -lXpm -lXext -lX11  -lz -lresolv -lnsl  -lgnutls 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../wmgeneral/libwmgeneral.a(wmgeneral.o):(.bss+0x628): multiple definition of `display'; wmbiff.o:(.bss+0x38): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 13:26:23 +0000

emerge -qpvO x11-plugins/wmbiff
[ebuild  N    ] x11-plugins/wmbiff-0.4.35  USE="crypt"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:13:41 UTC
Created attachment 608188 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:13:45 UTC
Created attachment 608190 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:13:48 UTC
Created attachment 608192 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:13:50 UTC
Created attachment 608194 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:13:54 UTC
Created attachment 608196 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:13:58 UTC
Created attachment 608198 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:14:01 UTC
Created attachment 608200 [details]
x11-plugins:wmbiff-0.4.35:20200129-142014.log
Comment 8 Larry the Git Cow gentoo-dev 2020-03-08 11:27:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ec16dadd7e0706acc995aaac31525ef4a205e99

commit 4ec16dadd7e0706acc995aaac31525ef4a205e99
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-03-08 11:27:17 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-03-08 11:27:32 +0000

    x11-plugins/wmbiff: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/707250
    Package-Manager: Portage-2.3.93, Repoman-2.3.20
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 .../wmbiff/files/wmbiff-0.4.35-fno-common.patch    | 24 ++++++++++++++++++++++
 x11-plugins/wmbiff/wmbiff-0.4.35.ebuild            |  7 +++++--
 2 files changed, 29 insertions(+), 2 deletions(-)